# -*- perl -*-
# Copyright (C) 2014 Sergey Poznyakoff <gray@gnu.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

use lib 'inc';
use ExtUtils::AutoInstall (
    -core => [
	 'Getopt::Long' => 2.34,
	 'IO::Socket' => 1.34,
	 'Pod::Usage' => 1.51,
	 'Pod::Man' => 2.25,
	 'Net::CIDR' => 0.14,
	 'Data::UUID' => 1.219,
	 'Data::Dumper' => 2.135,
	 'Storable' => 2.34
    ]
);

WriteMakefile(
    'NAME'              => 'whoseip',
    'AUTHOR'            => 'Sergey Poznyakoff <gray@gnu.org>',
    'ABSTRACT'          => 'Identifies IP addresses',
    'FIRST_MAKEFILE'    => 'Makefile',
    'VERSION_FROM'      => 'Whoseip/DB.pm',
    'EXE_FILES'         => [ 'whoseip' ],
    'PM'                => { 'Whoseip/DB.pm' => '$(INST_LIBDIR)/Whoseip/DB.pm' }
);

